<template>
  <q-page>
    <HeaderSection
      title="Persones i Projectes"
      :body="[
        'Masies x Viure és una plataforma digital que enxarxa persones afins amb projectes compatibles i els connecta amb professionals i recursos per crear projectes col·lectius als món rurals.',
      ]"
      bgColor="brown"
    />

    <main class="row justify-center q-py-xl">
      <q-list dense class="col-xs-12 col-sm-10" style="max-width: 750px">
        <!-- UC -->
        <q-item dense clickable>
          <q-item-section class="gt-xs">
            <q-img
              @click="showUcDescription = !showUcDescription"
              width="100%"
              fit="cover"
              height="100%"
              src="https://res.cloudinary.com/mxv-cloud/image/upload/c_scale,h_300/v1648678026/App/Persones%20i%20Projectes/UC_-_Fami%CC%81lia_qmbkdz.jpg"
              spinner-color="primary"
              spinner-size="82px"
              class="rounded-borders"
            />
          </q-item-section>

          <q-item-section>
            <q-expansion-item
              v-model="showUcDescription"
              group="type"
              expand-separator
              header-class="text-tertiary text-h6"
              icon="family_restroom"
              expand-icon-class="text-accent"
              label="Unitat de Convivència (UC)"
              caption="Perfil per a una Persona, Família, Parella, etc que es consideri
                Unitat de Convivència."
            >
              <q-card>
                <q-card-section>
                  Un perfil de Projecte permet incorporar nous UC’s més
                  endavant: El grup llavor pot autodefinir-se com a projecte per
                  començar a desenvolupar-lo, i més endavant, incorporar nous
                  UC’s per assolir les necessitats del projecte
                </q-card-section>
                <q-card-section>
                  <q-btn
                    :to="{ name: 'uc' }"
                    square
                    color="primary"
                    icon-right="start"
                    label="Comença!"
                  />
                </q-card-section>
              </q-card>
            </q-expansion-item>
          </q-item-section>
        </q-item>

        <!-- PROJECTs -->
        <q-item dense clickable>
          <q-item-section>
            <q-expansion-item
              v-model="showProjDescription"
              group="type"
              expand-separator
              header-class="text-tertiary text-h6"
              icon="groups"
              expand-icon-class="text-accent"
              label="Projectes"
              caption="Crear un perfil per a grups que tenen un projecte en comú"
            >
              <q-card>
                <q-card-section>
                  Un perfil de Projecte permet incorporar nous UC’s més
                  endavant: El grup llavor pot autodefinir-se com a projecte per
                  començar a desenvolupar-lo, i més endavant, incorporar nous
                  UC’s per assolir les necessitats del projecte
                </q-card-section>
                <q-card-section>
                  <q-btn
                    :to="{ name: 'project' }"
                    square
                    color="primary"
                    icon-right="start"
                    label="project!"
                  />
                </q-card-section>
              </q-card>
            </q-expansion-item>
          </q-item-section>

          <q-item-section class="gt-xs">
            <q-img
              @click="showProjDescription = !showProjDescription"
              width="100%"
              fit="cover"
              height="100%"
              src="https://res.cloudinary.com/mxv-cloud/image/upload/v1648678008/App/Persones%20i%20Projectes/Grup_-_projecte_frqh7x.jpg"
              spinner-color="primary"
              spinner-size="82px"
              class="rounded-borders"
            />
          </q-item-section>
        </q-item>
      </q-list>
    </main>
  </q-page>
</template>

<script setup lang="ts">
import HeaderSection from 'src/components/mxv/HeaderSection.vue'
import { ref } from 'vue'

const showProjDescription = ref<boolean>(false)
const showUcDescription = ref<boolean>(false)
</script>
